add packaging

master
Joel Beckmeyer 10 months ago
parent e4de3081c0
commit ccaa778a00
  1. 3
      pyproject.toml
  2. 13
      requirements.txt
  3. 38
      setup.cfg
  4. 4
      setup.py

@ -0,0 +1,3 @@
[build-system]
requires = ["setuptools","wheel"]
build-backend = 'setuptools.build_meta'

@ -1,13 +0,0 @@
aiohttp==3.3.2
async-timeout==3.0.0
attrs==18.1.0
chardet==3.0.4
idna==2.7
idna-ssl==1.1.0
multidict==4.3.1
pycryptodome==3.9.4
PyYAML>=5.1
simplejson==3.16.0
yarl==1.2.6
cachetools
async_lru

@ -0,0 +1,38 @@
[metadata]
name = relay
description = Generic LitePub relay (works with all LitePub consumers and Mastodon)
long_description = file: README.md
long_description_content_type = text/markdown; charset=UTF-8
url = https://git.pleroma.social/pleroma/relay
license = AGPLv3
license_file = LICENSE
classifiers =
Environment :: Console
License :: OSI Approved :: AGPLv3 License
Programming Language :: Python :: 3.6
Programming Language :: Python :: 3.7
Programming Language :: Python :: 3.8
Programming Language :: Python :: 3.9
Programming Language :: Python :: 3.10
project_urls =
Source = https://git.pleroma.social/pleroma/relay
Tracker = https://git.pleroma.social/pleroma/relay/-/issues
[options]
zip_safe = False
packages = find:
install_requires =
aiohttp>=3.5.4
async-timeout>=3.0.0
attrs>=18.1.0
chardet>=3.0.4
idna>=2.7
idna-ssl>=1.1.0; python_version < "3.7"
multidict>=4.3.1
pycryptodome>=3.9.4
PyYAML>=5.1
simplejson>=3.16.0
yarl>=1.2.6
cachetools
async_lru
python_requires = >=3.6

@ -0,0 +1,4 @@
import setuptools
if __name__ == "__main__":
setuptools.setup()
Loading…
Cancel
Save